
/**
 * 操作本地缓存
 */
export const DB = {
  LS: {
    set(key, value) {
      try {
        localStorage.setItem(key, JSON.stringify(value))
        return value
      } catch (err) {
        return null
      }
    },
    get(key) {
      try {
        return JSON.parse(localStorage.getItem(key))
      } catch (err) {
        return null
      }
    },
    remove(key) {
      try {
        return localStorage.removeItem(key)
      } catch (err) {
        return null
      }
    },
    clear(){
      localStorage.clear()
    }
  },
  SS: {
    set(key, value) {
      try {
        return sessionStorage.setItem(key, JSON.stringify(value))
      } catch (err) {
        return null
      }
    },
    get(key) {
      try {
        return JSON.parse(sessionStorage.getItem(key))
      } catch (err) {
        return null
      }
    },
    remove(key) {
      try {
        return sessionStorage.removeItem(key)
      } catch (err) {
        return null
      }
    },
    clear(){
      sessionStorage.clear()
    }
  }
}

